Summary:	Library to find what country an IP address or hostnames originate from
Summary(pl.UTF-8):	Biblioteka do sprawdzenia z jakiego kraju pochodzi adres IP lub domena
Name:		GeoIP
Version:	1.5.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://www.maxmind.com/download/geoip/api/c/%{name}-%{version}.tar.gz
# Source0-md5:	36b82f3558e6e2ebdd11a56c5db21dbc
Patch0:		%{name}-no_tests.patch
Patch1:		%{name}-pc.patch
# note: "c" is a filename, do not add '/'
URL:		http://www.maxmind.com/app/c
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
Requires:	GeoIP-db-Country >= 2009.05.02
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GeoIP is a C library that enables the user to find the country that
any IP address or hostname originates from. It uses a file based
database that is accurate as of March 2003. This database simply
contains IP blocks as keys, and countries as values. This database
should be more complete and accurate than using reverse DNS lookups.
Commercial databases and automatic update services are available from
<http://www.maxmind.com/>.

This library can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visitors, for credit card fraud detection, and for
software export controls.

%description -l pl.UTF-8
GeoIP jest biblioteką napisaną w C umożliwiającą użytkownikowi
odnalezienie państwa, z którego pochodzi dany adres IP lub domena.
Używa do tego zapisanej w pliku bazy danych (z marca 2003). W bazie
tej adresy IP są kluczami, a państwa wartościami. Powinna ona być
dokładniejsza niż sprawdzanie odwrotnego DNS. Komercyjne bazy oraz
usługi automatycznych aktualizacji dostępne są na stronie
<http://www.maxmind.com/>.

Ta biblioteka może być używana do automatycznego wyboru najbliższego
geograficznie mirrora, analizy logów serwera WWW w celu określenia
kraju, z którego pochodzą odwiedzający, do wykrywania oszustw
dotyczących kart kredytowych oraz kontroli eksportu oprogramowania.

%package libs
Summary:	GeoIP Library
Summary(pl.UTF-8):	Biblioteka GeoIP
Group:		Libraries
Conflicts:	GeoIP < 1.4.0-2

%description libs
GeoIP library.

%description libs -l pl.UTF-8
Biblioteka GeoIP.

%package devel
Summary:	Header files for GeoIP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GeoIP
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for GeoIP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GeoIP.

%package static
Summary:	Static GeoIP library
Summary(pl.UTF-8):	Statyczna biblioteka GeoIP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GeoIP library.

%description static -l pl.UTF-8
Statyczna biblioteka GeoIP.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%{__make} check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_sysconfdir}/GeoIP.conf.default

# use GeoIP-db-Country package, which is updated more often (at least in PLD Linux)
%{__rm} $RPM_BUILD_ROOT%{_datadir}/GeoIP/GeoIP.dat

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/geoiplookup
%attr(755,root,root) %{_bindir}/geoiplookup6
%attr(755,root,root) %{_bindir}/geoipupdate
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/GeoIP.conf
%{_mandir}/man1/geoiplookup.1*
%{_mandir}/man1/geoiplookup6.1*
%{_mandir}/man1/geoipupdate.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGeoIP.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGeoIP.so.1
%attr(755,root,root) %{_libdir}/libGeoIPUpdate.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libGeoIPUpdate.so.0
%dir %{_datadir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libGeoIP.so
%attr(755,root,root) %{_libdir}/libGeoIPUpdate.so
%{_libdir}/libGeoIP.la
%{_libdir}/libGeoIPUpdate.la
%{_includedir}/GeoIP*.h
%{_pkgconfigdir}/geoip.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libGeoIP.a
%{_libdir}/libGeoIPUpdate.a
%changelog
* Sat Jul 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP.git;a=log;h=master

* Thu Jul 04 2013 Jakub Bogusz <qboosh@pld-linux.org> 4c9fcd0
- more versose files, autoconf version

* Thu Jul 04 2013 Marcin Krol <hawk@tld-linux.org> 0caf335
- updated to 1.5.1

* Thu Jul 04 2013 Marcin Krol <hawk@tld-linux.org> 2d20fab
- pkgconfig fix from gentoo

* Sun Jul 24 2011 Łukasz Kieś <kiesiu@pld-linux.org> 6b4cb15
- updated to 1.4.8

* Thu Apr 28 2011 marti <marti@pld-linux.org> 01d8e1f
- up to 1.4.7

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> accc8b5
- don't perform tests, they will fail on builders
- release 2

* Sun Jun 21 2009 hawk <hawk@pld-linux.org> 8ae6425
- don't process test dir, test will fail anyway on builders as it uses DNS

* Wed May 06 2009 amateja <amateja@pld-linux.org> 095d252
- updated to 1.4.6

* Fri Jan 23 2009 Elan Ruusamäe <glen@pld-linux.org> 69e7ed9
- allow installation of GeoIP-db-Country

* Fri Jan 23 2009 Elan Ruusamäe <glen@pld-linux.org> 9b769a4
- release 2

* Sun Nov 09 2008 radek <radek@pld-linux.org> 9c3f266
- version 1.4.5

* Fri Jan 25 2008 tommat <tommat@pld-linux.org> 84a04c0
- up to 1.4.4

* Sun Nov 25 2007 radek <radek@pld-linux.org> c19aad1
- version 1.4.3

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 260361b
- up to 1.4.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5d437b3
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 13e550e
- converted to UTF-8

* Wed Jan 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 4a17931
- outdated

* Wed Jan 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> c04f3c9
- up to 1.4.1

* Tue Dec 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 77d976d
- moved comment, cleanup

* Tue Dec 12 2006 wrobell <wrobell@pld-linux.org> d08a4bf
- fix linking of GeoIPUpdate lib

